Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security
Class Authentications

    java.lang.Object
      org.deegree.security.Authentications

    public class Authentications

extends Object

Version:
  $Revision: 6251 $, $Date: 2007-03-19 16:59:28 +0100 (Mo, 19 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: poth $

Constructor Summary
`Authentications(List<AbstractAuthentication> authentications)`

Method Summary
`AbstractAuthentication` | `getAuthenticationForName(String name)` returns a authentication class identified by the name of the used authetication method.
`List<AbstractAuthentication>` | `getAuthenticationsAsOrderedList()` returns all available authentication classes in the same order as they has been defined

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Authentications

    public Authentications(List<AbstractAuthentication> authentications)

Parameters:
  `authentications` -

Method Detail

### getAuthenticationsAsOrderedList

    public List<AbstractAuthentication> getAuthenticationsAsOrderedList()

  returns all available authentication classes in the same order as they has been defined

  Returns:
    all available authentication classes in the same order as they has been defined

### getAuthenticationForName

    public AbstractAuthentication getAuthenticationForName(String name)

  returns a authentication class identified by the name of the used authetication method. If no authentication class assigned to the passed name can be found `null` will be returned.

  Parameters:
    `name` -
  Returns:
    a authentication class identified by the name of the used authetication method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org